---
services:
    Chill\ActivityBundle\Form\Type\TranslatableActivityReasonCategoryType:
        autowire: true
        autoconfigure: true

    Chill\ActivityBundle\Form\Type\PickActivityReasonType:
        autowire: true
        autoconfigure: true

    chill.activity.form.type.translatableactivitytype:
        class: Chill\ActivityBundle\Form\Type\TranslatableActivityType
        arguments:
            - "@chill.main.helper.translatable_string"
            - "@chill_activity.repository.activity_type"
        tags:
            - { name: form.type, alias: translatable_activity_type }

    chill.activity.form.type.activity:
        class: Chill\ActivityBundle\Form\ActivityType
        arguments:
            - "@security.token_storage"
            - "@chill.main.security.authorization.helper"
            - "@doctrine.orm.entity_manager"
            - "@chill.main.helper.translatable_string"
            - "%chill_activity.form.time_duration%"
            - '@Chill\PersonBundle\Templating\Entity\SocialIssueRender'
            - '@Chill\PersonBundle\Templating\Entity\SocialActionRender'
        tags:
            - { name: form.type, alias: chill_activitybundle_activity }

    chill.activity.form.type.activityTypeType:
        class: Chill\ActivityBundle\Form\ActivityTypeType
        arguments:
            - "@chill.main.helper.translatable_string"
        tags:
            - { name: form.type, alias: translatable_activity_type }
